## visad.data.netcdf
Class QuantityDBImpl.NameKey

    java.lang.Object
      visad.data.netcdf.QuantityDBImpl.NameKey

All Implemented Interfaces:
  Comparable, Serializable

Direct Known Subclasses:
  QuantityDBImpl.UnitKey

Enclosing class:
  QuantityDBImpl

protected static class QuantityDBImpl.NameKey
extends Object
implements Serializable, Comparable

Provides support for keys to the name map. Immutable.

See Also:
  Serialized Form

Constructor Summary
`protected` `QuantityDBImpl.NameKey(String name)` Constructs from the name of a quantity.

Method Summary
`int` `compareTo(Object obj)` Compare this key to another.
`String` `getName()` Returns the name of the quantity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuantityDBImpl.NameKey

    protected QuantityDBImpl.NameKey(String name)

  Constructs from the name of a quantity.

Parameters:
  `name` - The name of the quantity.

Method Detail

### compareTo

    public int compareTo(Object obj)
                  throws ClassCastException

  Compare this key to another.

  Specified by:
    `compareTo` in interface `Comparable`
  Throws:
    `ClassCastException`

### getName

    public String getName()

  Returns the name of the quantity.